HanMacWrdJTextInternal::TextZone Struct Reference

Internal: a struct used to store a text zone. More...

## Public Types

enum | Type { T_Main =0 , T_Header =1 , T_Footer =2 , T_Footnote =3 , T_Textbox =4 , T_Table =9 , T_Comment =10 , T_Unknown }
| enum used to define the zone type More...

## Public Member Functions

| TextZone ()
| constructor

## Public Attributes

Type | m_type
| the zone type
MWAWEntry | m_entry
| the main entry
long | m_id
| the file zone id
std::multimap< long, PLC > | m_PLCMap
| the plc map
std::vector< Token > | m_tokenList
| the tokens list
bool | m_parsed
| true if the zone is sended

## Detailed Description

Internal: a struct used to store a text zone.

## Member Enumeration Documentation

## Type

enum HanMacWrdJTextInternal::TextZone::Type

enum used to define the zone type

Enumerator
T_Main |
T_Header |
T_Footer |
T_Footnote |
T_Textbox |
T_Table |
T_Comment |
T_Unknown |

## Constructor & Destructor Documentation

## TextZone()

HanMacWrdJTextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_entry

MWAWEntry HanMacWrdJTextInternal::TextZone::m_entry

the main entry

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::computeNumPages(), HanMacWrdJText::sendText(), and TextZone().

## m_id

long HanMacWrdJTextInternal::TextZone::m_id

the file zone id

Referenced by TextZone().

## m_parsed

bool HanMacWrdJTextInternal::TextZone::m_parsed

mutable

true if the zone is sended

Referenced by HanMacWrdJText::sendText(), and TextZone().

## m_PLCMap

std::multimap<long, PLC> HanMacWrdJTextInternal::TextZone::m_PLCMap

the plc map

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::readTextToken(), HanMacWrdJText::sendText(), and TextZone().

## m_tokenList

std::vector<Token> HanMacWrdJTextInternal::TextZone::m_tokenList

the tokens list

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::readTextToken(), HanMacWrdJText::sendText(), and TextZone().

## m_type

Type HanMacWrdJTextInternal::TextZone::m_type

the zone type

Referenced by HanMacWrdJText::computeNumPages(), HanMacWrdJText::sendText(), and TextZone().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx